Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

XMLFormService Issue

Avatar

Level 1

Hello,

 

   Need help in resolving the XMLFormService Issue. We have installed AEM 6.5.5 on Linux(Linux aem-perf-a-42 3.10.0-1160.31.1.el7.x86_64). IC and XDP file conversion to pdf document is failing with following error -

 

15.12.2021 16:16:20.578 *INFO* [172.20.42.76 [1639584979996] GET /perf/content/dam/formsanddocuments/reference-dor-templates/split.xdp/jcr:content HTTP/1.1] com.adobe.service.ProcessResource Service XMLFormService: Starting native process with command line "/apps/perf/crx-quickstart/bedrock/svcnative/XMLFormService/bin/XMLForm.exe" -MyPath /apps/perf/crx-quickstart/bedrock/svcnative/XMLFormService -IOR IOR:000000000000002249444C3A636F6D2F61646F62652F736572766963652F4D616E616765723A312E30000000000000010000000000000070000102000000000D3137322E32302E34362E34320000B18B00000018393734323231353737372F42522D332F0100000000000000000000020000000000000008000000004A41430000000001000000200000000005010001000000010001000100010109000000020501000100010100 -AppServer Adobe-OSGi
15.12.2021 16:16:20.586 *INFO* [172.20.42.76 [1639584979996] GET /perf/content/dam/formsanddocuments/reference-dor-templates/split.xdp/jcr:content HTTP/1.1] com.adobe.service.ResourcePooler Failure while process launch, attempt: 4
15.12.2021 16:16:20.596 *WARN* [ProcessResource@519ea449(name=XMLForm.exe,pid=0) Error Reader] com.adobe.service.ProcessResource Service XMLFormService: Process ProcessResource@519ea449(name=XMLForm.exe,pid=0) terminated abnormally with error code 127

 

1 Accepted Solution

Avatar

Correct answer by
Employee Advisor

@pnirkum 

Exit code 127 indicates the command couldn't be found.

 

15.12.2021 16:16:20.596 *WARN* [ProcessResource@519ea449(name=XMLForm.exe,pid=0) Error Reader] com.adobe.service.ProcessResource Service XMLFormService: Process ProcessResource@519ea449(name=XMLForm.exe,pid=0) terminated abnormally with error code 127

Typically this would indicate a missing 32-bit interpreter on the target system. Could you please check the same once? Quick command to check the rpms on Linux and compare with the official document[0]:

rpm -qa expat* libxcb* freetype* libXau* libSM* zlib* libICE* libuuid* glibc* libXext* nss-softokn* fontconfig* libX11* libXrender* libXrandr* libXinerama* >> RPM_details.txt

 

Also, check whether files have been extracted properly to svcnative.

 

[0] - https://experienceleague.adobe.com/docs/experience-manager-64/forms/install-aem-forms/osgi-installat...

View solution in original post

2 Replies

Avatar

Employee

Please install 32 bit libraries as mentioned in documentation at aditional requirement for Linux and CentOS ,

and check the issue again.

Avatar

Level 9

Have you installed the additional libraries which are needed for AEM forms to run onLinux?

the libraries are well documented in the install document of AEM forms on Linux 

Avatar

Correct answer by
Employee Advisor

@pnirkum 

Exit code 127 indicates the command couldn't be found.

 

15.12.2021 16:16:20.596 *WARN* [ProcessResource@519ea449(name=XMLForm.exe,pid=0) Error Reader] com.adobe.service.ProcessResource Service XMLFormService: Process ProcessResource@519ea449(name=XMLForm.exe,pid=0) terminated abnormally with error code 127

Typically this would indicate a missing 32-bit interpreter on the target system. Could you please check the same once? Quick command to check the rpms on Linux and compare with the official document[0]:

rpm -qa expat* libxcb* freetype* libXau* libSM* zlib* libICE* libuuid* glibc* libXext* nss-softokn* fontconfig* libX11* libXrender* libXrandr* libXinerama* >> RPM_details.txt

 

Also, check whether files have been extracted properly to svcnative.

 

[0] - https://experienceleague.adobe.com/docs/experience-manager-64/forms/install-aem-forms/osgi-installat...

Avatar

Level 1

Following libraries are installed -

[root@aem-perf-a-42 logs]# vi RPM_details.txt
glibc-2.17-324.el7_9.x86_64
expat-2.1.0-12.el7.x86_64
nss-softokn-freebl-3.53.1-6.el7_9.x86_64
zlib-1.2.7-19.el7_9.x86_64
libuuid-2.23.2-65.el7_9.1.x86_64
nss-softokn-3.53.1-6.el7_9.x86_64
glibc-common-2.17-324.el7_9.x86_64
freetype-2.8-14.el7_9.1.x86_64
glibc-2.17-324.el7_9.x86_64
libX11-1.6.7-4.el7_9.x86_64
expat-2.1.0-12.el7.x86_64
nss-softokn-freebl-3.53.1-6.el7_9.x86_64
zlib-1.2.7-19.el7_9.x86_64
libuuid-2.23.2-65.el7_9.1.x86_64
nss-softokn-3.53.1-6.el7_9.x86_64
libX11-common-1.6.7-4.el7_9.noarch
libxcb-1.13-1.el7.x86_64
libXext-1.3.3-3.el7.x86_64
libXrandr-1.5.1-2.el7.x86_64
glibc-common-2.17-324.el7_9.x86_64
freetype-2.8-14.el7_9.1.x86_64
libXau-1.0.8-2.1.el7.x86_64
libXrender-0.9.10-1.el7.x86_64
glibc-2.17-324.el7_9.x86_64
libX11-1.6.7-4.el7_9.x86_64
libXinerama-1.1.3-2.1.el7.x86_64
expat-2.1.0-12.el7.x86_64
nss-softokn-freebl-3.53.1-6.el7_9.x86_64
zlib-1.2.7-19.el7_9.x86_64
libuuid-2.23.2-65.el7_9.1.x86_64
nss-softokn-3.53.1-6.el7_9.x86_64
libX11-common-1.6.7-4.el7_9.noarch
libxcb-1.13-1.el7.x86_64
libXext-1.3.3-3.el7.x86_64
libXrandr-1.5.1-2.el7.x86_64
libICE-1.0.9-9.el7.x86_64
glibc-common-2.17-324.el7_9.x86_64
freetype-2.8-14.el7_9.1.x86_64
libXau-1.0.8-2.1.el7.x86_64
libXrender-0.9.10-1.el7.x86_64
libSM-1.2.2-2.el7.x86_64
fontconfig-2.13.0-4.3.el7.x86_64

 

This includes all 16 libraries provided in documentation.

Avatar

Employee Advisor

@pnirkum 

These RPMs are 64-bit versions of the libraries. 

Please add the corresponding 32-bit versions of these RPMs as suggested in this document- https://experienceleague.adobe.com/docs/experience-manager-learn/forms/adaptive-forms/installing-aem... 

This should resolve the issue otherwise, please raise a support ticket for in-depth analysis of the issue.

Avatar

Level 1

Thank you @Pulkit_Jain_ @Mayank_Tiwari , @GirishBedekar, the issue is resolved. It worked with 64 bit package. The issue was 32 bit libcurl.so, libuuid.so and libX11.so libraries was missing. After the installation of these libraries, pdf generation started working fine. Following are the installation I did -

 

1. Find required packages
rpm -qa expat* libxcb* freetype* libXau* libSM* zlib* libICE* libuuid* glibc* libXext* nss-softokn* fontconfig* libX11* libXrender* libXrandr* libXinerama* >> RPM_details.txt

 

2. Install missing packages
yum install libXinerama
yum install libSM
yum install libICE
yum install fontconfig

 

3. Install missing libraries
cd /usr/lib
yum install libcurl.i686
ln -s libcurl.so.4.3.0 libcurl.so
ln -s libcrypto.so.1.0.2k libcrypto.so
ln -s libssl.so.1.0.2k libssl.so
yum install libuuid.i686
ln -s libuuid.so.1.3.0 libuuid.so
yum install libX11.i686
ls -ltr /usr/lib|grep libX11